//---------------------------------------------------------------------------

#ifndef histogramaH
#define histogramaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "utilidades.h"
//---------------------------------------------------------------------------
class Thisto_win : public TForm
{
__published:	// IDE-managed Components
	TImage *imagen;
	TLabel *Label1;
	TLabel *Label2;
	void __fastcall imagenMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);

private:	// User declarations
	int hdata[256];
	int hdata100[256];
	int hdataR[256];
	int hdataG[256];
	int hdataB[256];
	int hdata100R[256];
	int hdata100G[256];
	int hdata100B[256];
	utilidades* doc;
public:		// User declarations
	__fastcall Thisto_win(TComponent* Owner);
	__fastcall calcular(utilidades* documento);
	__fastcall Thisto_win::calcular_nuevo(TPicture* imgIn);
	__fastcall dibujar();
	int __fastcall Thisto_win::dameValor(int posicion);
	int __fastcall Thisto_win::dameValorR(int posicion);
	int __fastcall Thisto_win::dameValorG(int posicion);
	int __fastcall Thisto_win::dameValorB(int posicion);
};
//---------------------------------------------------------------------------
extern PACKAGE Thisto_win *histo_win;
//---------------------------------------------------------------------------
#endif
